[Newbie] Conky Manager missing keys?

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Alicebunn
Level 1
Level 1
Posts: 5
Joined: Sat Jun 22, 2019 7:26 am

[Newbie] Conky Manager missing keys?

Post by Alicebunn » Tue Oct 15, 2019 4:07 pm

So I want to install conky manager. Following all tutorials, I use this command

Code: Select all

sudo add-apt-repository ppa:teejee2008/ppa
and this is the output

Code: Select all

You are about to add the following PPA:
 More info: https://launchpad.net/~teejee2008/+archive/ubuntu/ppa
Executing: /tmp/apt-key-gpghome.RSNE0HvT8I/gpg.1.sh --keyserver keyserver.ubuntu.com --recv-keys 1B32B87ABAEE357218F6B48CB5B116B72D0F61F0
gpg: key B5B116B72D0F61F0: 13 signatures not checked due to missing keys
gpg: key B5B116B72D0F61F0: "Launchpad PPA for Tony George" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
What do I do? I don't understand what keys are or what gpg is but something isn't working.

sleeper12
Level 6
Level 6
Posts: 1223
Joined: Thu May 25, 2017 3:22 pm

Re: [Newbie] Conky Manager missing keys?

Post by sleeper12 » Wed Oct 16, 2019 9:51 pm

See if this works for you:

Code: Select all

 sudo add-apt-repository ppa:mark-pcnetspec/conky-manager-pm9 

Code: Select all

 sudo apt-get install conky-manager 
From this site:
https://vitux.com/how-to-install-conky- ... on-ubuntu/

User avatar
zcot
Level 5
Level 5
Posts: 565
Joined: Wed Oct 19, 2016 6:08 pm

Re: [Newbie] Conky Manager missing keys?

Post by zcot » Wed Oct 16, 2019 11:08 pm

"Conky Manager 2" is available instead. (not to be confused with Tony George's "Conky Manager" version 2 which included up to version 2.4)

An ongoing solution is Conky Manager 2 seen here(picking up the version starting at 2.5): https://github.com/zcot/conky-manager2 (not available as ppa, however very easy to build from source with included instructions)


-but just to give some technical detail behind this:

The original by "teejee2008" Tony George is not receiving any updates and has not for years. Although you can load it with the launchpad ppa, it will not install on a system past Ubuntu 16.04 Xenial(Mint 18.x). You can see the original code base here: https://github.com/teejee2008/conky-manager

The problem with the launchpad code is that since it was not updated after 2014 it doesn't work correctly after Ubuntu 16.04 (equal with Mint 18.x).

Also, it does not fully work with the newer conky version that has been available from Ubuntu 16.04 / Mint 18.x onward, -it does not recognize/load/run the newer conky 1.10 config formats.

I wanted conky 1.10 recognition more than any other part of the program, so I worked on it and offered a patch solution to the original code, to take care of the conky 1.10 config formats. However, Tony has moved on to other more interesting projects and offered that I should fork it, so I did. see some reference here: https://github.com/teejee2008/conky-manager/pull/3

At this point these are the added solutions to the original work:
1. support for 1.10 conky configs
2. Dutch translation by Vistaus
3. Portuguese-Brazil translation added by tioguda
4. default nvidia theme fixed by jamartin9
5. support for import of non-ConkyManagerTheme archive(.cmtp). Import .zip, .tar, or other varieties it does not have to be a compliant "theme" package.

Post Reply

Return to “Software & Applications”